### gamemodes/start_game

# initialize scoreboards
scoreboard objectives add score dummy {"text":"Score","color":"yellow"}
scoreboard players set Red_Team score 0
team join redTeam Red_Team
scoreboard players set Blue_Team score 0
team join blueTeam Blue_Team
scoreboard objectives add hardPoint dummy

# summon site one shulker borders
scoreboard players set .site hardPoint 1
execute as @e[type=marker,tag=hardBoundary,tag=one,tag=lower] run function cod:gamemodes/coord/lower_site_coord
execute as @e[type=marker,tag=hardBoundary,tag=one,tag=upper] run function cod:gamemodes/coord/upper_site_coord
scoreboard players operation .moveX coordEntity = .siteLowerX coordEntity
scoreboard players operation .moveZ coordEntity = .siteLowerZ coordEntity
execute at @e[type=marker,tag=hardBoundary,tag=one,tag=lower] facing ~1 ~ ~ positioned ~1 ~ ~ run function cod:gamemodes/hardpoint/summon_shulkers/fwd_x

# summon site two shulker borders
scoreboard players set .site hardPoint 2
execute as @e[type=marker,tag=hardBoundary,tag=two,tag=lower] run function cod:gamemodes/coord/lower_site_coord
execute as @e[type=marker,tag=hardBoundary,tag=two,tag=upper] run function cod:gamemodes/coord/upper_site_coord
scoreboard players operation .moveX coordEntity = .siteLowerX coordEntity
scoreboard players operation .moveZ coordEntity = .siteLowerZ coordEntity
execute at @e[type=marker,tag=hardBoundary,tag=two,tag=lower] facing ~1 ~ ~ positioned ~1 ~ ~ run function cod:gamemodes/hardpoint/summon_shulkers/fwd_x

# summon site three shulker borders
scoreboard players set .site hardPoint 3
execute as @e[type=marker,tag=hardBoundary,tag=three,tag=lower] run function cod:gamemodes/coord/lower_site_coord
execute as @e[type=marker,tag=hardBoundary,tag=three,tag=upper] run function cod:gamemodes/coord/upper_site_coord
scoreboard players operation .moveX coordEntity = .siteLowerX coordEntity
scoreboard players operation .moveZ coordEntity = .siteLowerZ coordEntity
execute at @e[type=marker,tag=hardBoundary,tag=three,tag=lower] facing ~1 ~ ~ positioned ~1 ~ ~ run function cod:gamemodes/hardpoint/summon_shulkers/fwd_x

# summon site four shulker borders
scoreboard players set .site hardPoint 4
execute as @e[type=marker,tag=hardBoundary,tag=four,tag=lower] run function cod:gamemodes/coord/lower_site_coord
execute as @e[type=marker,tag=hardBoundary,tag=four,tag=upper] run function cod:gamemodes/coord/upper_site_coord
scoreboard players operation .moveX coordEntity = .siteLowerX coordEntity
scoreboard players operation .moveZ coordEntity = .siteLowerZ coordEntity
execute at @e[type=marker,tag=hardBoundary,tag=four,tag=lower] facing ~1 ~ ~ positioned ~1 ~ ~ run function cod:gamemodes/hardpoint/summon_shulkers/fwd_x
scoreboard players reset .bool coordEntity

# summon aoe cloud site marker
execute at @e[type=marker,tag=hardLabel,tag=one] run summon area_effect_cloud ~ ~ ~ {UUID:[I;6,1,0,0],CustomNameVisible:1b,Duration:1000000,Tags:["hpSite"],CustomName:'{"text":"CAPTURE","color":"yellow","bold":true}'}

# initiate bossbar timer
bossbar add sitetime {"text":"1:00"}
bossbar set sitetime players @a
bossbar set sitetime max 60

# initiate site one
scoreboard players set .site hardPoint 0
function cod:gamemodes/hardpoint/init_site/init_site

# move players
function cod:gamemodes/teleport/team_spawn